Bug 127710 - real adobe pfb of Helvitica-BoldOblique crashs on font loading
real adobe pfb of Helvitica-BoldOblique crashs on font loading
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-12 16:12 EDT by Monty Walls
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 16:11:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff of gs_fonts.ps between redhat version and easysw version of 7.07 (2.48 KB, text/plain)
2004-07-20 16:08 EDT, Monty Walls
no flags Details

  None (edit)
Description Monty Walls 2004-07-12 16:12:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040322

Description of problem:
Example gs or gv to X11 of cups testprint.ps (any document using
Helvetica-BoldOblique) will fail gs.

Also crashes when using a copy of Helvetica-BoldOblique in pfa format
from Solaris.  

My pristine copy of gs 7.07.1 (compiled with gcc2.95) on solaris with
the same fonts runs correctly.



Version-Release number of selected component (if applicable):
ghostscript-7.07-25.fdr.1.1

How reproducible:
Always

Steps to Reproduce:
1. install atm fonts from adobe to /usr/local/fonts/Type1
2. type1inst for atm fonts in /usr/local/fonts/Type1
3. GS_LIB=/usr/local/fonts/Type1:$GS_LIB gs
/usr/share/cups/data/testprint.ps

watch error....    

Actual Results:  [root@castor Type1]# gs /usr/share/cups/data/testprint.ps
GNU Ghostscript 7.07 (2003-05-17)
Copyright (C) 2003 artofcode LLC, Benicia, CA.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Loading Times-Roman font from ./tir_____.pfb... 2506580 1094059
1662616 356812 0 done.
Loading Helvetica font from ./hv______.pfb... 2784212 1355286 1682712
370456 0 done.
Loading Helvetica-Bold font from ./hvb_____.pfb... 2971656 1441898
1702808 375749 0 done.
Loading Helvetica-BoldOblique font from ./... Error: /ioerror in --read--
Operand stack:
   417.01   308.292   306.375   748.708   306.375   55.0521   51.0625
  Helvetica-BoldOblique   Font   Helvetica-BoldOblique   387793  
Helvetica-BoldOblique   --nostringval--   Helvetica-BoldOblique   (./)
  --nostringval--   FontType   --nostringval--
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--  
--nostringval--   --nostringval--   false   1   %stopped_push   1   3
  %oparray_pop   1   3   %oparray_pop   1   3   %oparray_pop   1   3 
 %oparray_pop   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--  
--nostringval--   8   3   %oparray_pop   9   3   %oparray_pop  
--nostringval--   --nostringval--   --nostringval--   --nostringval--
  --nostringval--   false   1   %stopped_push   12   4   %oparray_pop
  --nostringval--   --nostringval--   --nostringval--  
--nostringval--   --nostringval--   %array_continue   --nostringval--
  --nostringval--   --nostringval--   %loop_continue   --nostringval--
  --nostringval--   --nostringval--   --nostringval--   --nostringval--
Dictionary stack:
   --dict:1062/1123(ro)(G)--   --dict:0/20(G)--   --dict:106/200(L)--
  --dict:17/17(ro)(G)--   --dict:1062/1123(ro)(G)--
Current allocation mode is local
Last OS error: 21
Current file position is 14426
GNU Ghostscript 7.07: Unrecoverable error, exit code 1


Expected Results:  should print with real adobe fonts.

Additional info:
Comment 1 Monty Walls 2004-07-20 16:08:13 EDT
Created attachment 102079 [details]
diff of gs_fonts.ps between redhat version and easysw version of 7.07

Copying my 7.07 generic *font*.ps files to /usr/share/gs/7.07/lib fixes the
problem and the only meaning full differences in the code is the diff.
Comment 2 Matthew Miller 2006-07-11 13:21:03 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 3 John Thacker 2006-10-25 16:11:17 EDT
Closed per above message and lack of response.  Note that FC1 and FC2 are not even
supported by Fedora Legacy anymore.

Note You need to log in before you can comment on or make changes to this bug.